package cn.superdesk.uniorder.dubbo.provider.order._leaveover;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.sys.SysInvoice;
import cn.superdesk.uniorder.dto.vo.inv.ViewBackAccountManage;
import cn.superdesk.uniorder.dto.vo.inv.ViewInvoiceDetailsHead;
import cn.superdesk.uniorder.dto.vo.inv.ViewInvoiceDetailsList;
import cn.superdesk.uniorder.dto.vo.inv.ViewInvoiceManage;
import cn.superdesk.uniorder.dubbo.facade.order._leaveover.DubboSysInvoiceService;
import cn.superdesk.uniorder.service.order._leaveover.SysInvoiceService;
import com.alibaba.dubbo.config.annotation.Service;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;
import java.util.Map;


@Service(version = "1.0.0", retries = -1, timeout = 20000)
public class DubboSysInvoiceServiceImpl implements DubboSysInvoiceService {


	@Autowired
	private SysInvoiceService sysInvoiceService;

	@Override
	public List<SysInvoice> findAll(Map<String, Object> queryMap) {

		return null;
	}

	@Override
	public void addObj(SysInvoice t) {


	}

	@Override
	public SysInvoice findById(Long id) {

		return null;
	}

	@Override
	public void updateObj(SysInvoice t) {


	}

	@Override
	public void deleteObj(Long id) {


	}

	@Override
	public R<List<ViewInvoiceManage>> findInvoiceManageViewPage(
			Map<String, Object> params, int pageNo, int pageSize) {

		return sysInvoiceService.findInvoiceManageViewPage(params, pageNo, pageSize);
	}

	@Override
	public Integer mailTickRegister(Map mailTickRegisterMap, String operationStr) {

		return sysInvoiceService.mailTickRegister(mailTickRegisterMap, operationStr);
	}

	@Override
	public List<ViewInvoiceDetailsList> findInvoiceDetailsList(
			Map<String, Object> params) {

		return sysInvoiceService.findInvoiceDetailsList(params);
	}

	@Override
	public List<ViewInvoiceDetailsHead> getInvoiceDetailByInvoiceId(
			Map<String, Object> params) {
		return sysInvoiceService.getInvoiceDetailByInvoiceId(params);
	}

	@Override
	public List<ViewInvoiceManage> findInvoiceManageList(
			Map<String, Object> params) {
		return sysInvoiceService.findInvoiceManageList(params);
	}

	@Override
	public R<List<ViewBackAccountManage>> getBackAccountManageData(
			Map<String, Object> params, int pageNo, int pageSize) {

		try {
			R<List<ViewBackAccountManage>> ls = sysInvoiceService.getBackAccountManageData(params, pageNo, pageSize);
			return ls;
		} catch (Exception e) {

		}
		return sysInvoiceService.getBackAccountManageData(params, pageNo, pageSize);
	}

	@Override
	public List<ViewBackAccountManage> getBackAccountDataRegisterData(
			Map<String, Object> params) {

		return sysInvoiceService.getBackAccountDataRegisterData(params);
	}

	@Override
	public Integer confirmBackAccount(List<Map> mailTickRegisterList, String token) {

		return sysInvoiceService.confirmBackAccount(mailTickRegisterList, token);
	}

	@Override
	public List<ViewBackAccountManage> getBackAccountManageList(
			Map<String, Object> params) {

		return sysInvoiceService.getBackAccountManageList(params);
	}

	@Override
	public Map<String, Object> reInvoiceRegister(String mdzId, String orderId) {

		return sysInvoiceService.reInvoiceRegister(mdzId, orderId);
	}

	@Override
	public Map<String, Object> importDZExcel(List<Map<String, String>> list) {

		return sysInvoiceService.importDZExcel(list);
	}

}
